Package net.md_5.bungee.api.event

# Class CustomClickEvent

java.lang.Object
net.md_5.bungee.api.plugin.Event
net.md_5.bungee.api.event.CustomClickEvent

All Implemented Interfaces:
  `Cancellable`

@Experimental public class CustomClickEvent extends Event implements Cancellable
Called after a `ProxiedPlayer` runs a custom action from a chat event or form submission.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `CustomClickEvent(ProxiedPlayer player, String id, com.google.gson.JsonElement data)`
  Creates a new `CustomClickEvent` instance.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected boolean`
  `canEqual(Object other)`
  `boolean`
  `equals(Object o)`
  `com.google.gson.JsonElement`
  `getData()`
  The data as submitted.
  `String`
  `getId()`
  Custom action ID.
  `ProxiedPlayer`
  `getPlayer()`
  Player who clicked.
  `int`
  `hashCode()`
  `boolean`
  `isCancelled()`
  Cancelled state.
  `void`
  `setCancelled(boolean cancelled)`
  Cancelled state.
  `String`
  `toString()`

  ### Methods inherited from class net.md_5.bungee.api.plugin.Event

  `postCall`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### CustomClickEvent

    public CustomClickEvent(ProxiedPlayer player, String id, com.google.gson.JsonElement data)
    Creates a new `CustomClickEvent` instance.
    Parameters:
      `player` - Player who clicked.
      `id` - Custom action ID.
      `data` - The data as submitted.

- ## Method Details

  - ### getPlayer

    public ProxiedPlayer getPlayer()
    Player who clicked.

  - ### getId

    public String getId()
    Custom action ID.

  - ### getData

    public com.google.gson.JsonElement getData()
    The data as submitted.

  - ### isCancelled

    public boolean isCancelled()
    Cancelled state.
    Specified by:
      `isCancelled` in interface `Cancellable`
    Returns:
      the cancelled state of this event

  - ### setCancelled

    public void setCancelled(boolean cancelled)
    Cancelled state.
    Specified by:
      `setCancelled` in interface `Cancellable`
    Parameters:
      `cancelled` - the state to set

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`

  - ### equals

    public boolean equals(Object o)
    Overrides:
      `equals` in class `Object`

  - ### canEqual

    protected boolean canEqual(Object other)

  - ### hashCode

    public int hashCode()
    Overrides:
      `hashCode` in class `Object`